Loading...
Searching...
No Matches
voms Struct Reference

`#include <voms_apic.h>`

## Data Fields

int | siglen
char * | signature
char * | user
char * | userca
char * | server
char * | serverca
char * | voname
char * | uri
char * | date1
char * | date2
int | type
struct data ** | std
char * | custom
int | datalen
int | version
char ** | fqan
char * | serial
AC * | ac
X509 * | holder

## Detailed Description

Definition at line 80 of file voms_apic.h.

## Field Documentation

## ac

AC* voms::ac

Definition at line 100 of file voms_apic.h.

## custom

char* voms::custom

The data returned by an S command

Definition at line 93 of file voms_apic.h.

## datalen

int voms::datalen

Definition at line 94 of file voms_apic.h.

## date1

char* voms::date1

Beginning of validity of the user info

Definition at line 89 of file voms_apic.h.

## date2

char* voms::date2

End of validity of the user info

Definition at line 90 of file voms_apic.h.

## fqan

char** voms::fqan

User's attributes in compact format

Definition at line 96 of file voms_apic.h.

## holder

X509* voms::holder

Definition at line 101 of file voms_apic.h.

## serial

char* voms::serial

Serial number. Only significant if coming from AC. Null otherwise

Definition at line 97 of file voms_apic.h.

## server

char* voms::server

The VOMS server DN, as from its certificate

Definition at line 85 of file voms_apic.h.

## serverca

char* voms::serverca

The CA which signed the VOMS certificate

Definition at line 86 of file voms_apic.h.

## siglen

int voms::siglen

The length of the VOMS server signature

Definition at line 81 of file voms_apic.h.

## signature

char* voms::signature

The VOMS server signature

Definition at line 82 of file voms_apic.h.

## std

struct data** voms::std

User's characteristics

Definition at line 92 of file voms_apic.h.

## type

int voms::type

The type of data returned

Definition at line 91 of file voms_apic.h.

## uri

char* voms::uri

The URI of the VOMS server

Definition at line 88 of file voms_apic.h.

## user

char* voms::user

The user's DN, as from his certificate

Definition at line 83 of file voms_apic.h.

## userca

char* voms::userca

The CA which signed the user's certificate

Definition at line 84 of file voms_apic.h.

## version

int voms::version

Definition at line 95 of file voms_apic.h.

## voname

char* voms::voname

The name of the VO to which the VOMS belongs

Definition at line 87 of file voms_apic.h.

The documentation for this struct was generated from the following file:

- voms_apic.h